<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net7.0</TargetFramework>
		<Product>Insight</Product>
		<RootNamespace>Insight.Updater</RootNamespace>
		<AssemblyName>updater</AssemblyName>
		<AssemblyVersion>2023.9.21.1</AssemblyVersion>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

	<ItemGroup>
	  <None Remove="appsettings.Development.json" />
	  <None Remove="appsettings.json" />
	</ItemGroup>

	<ItemGroup>
	  <Content Include="appsettings.Development.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	    <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
	    <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
	  </Content>
	  <Content Include="appsettings.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	    <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
	    <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
	  </Content>
	</ItemGroup>


	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Hosting.Systemd" Version="7.0.0" />
		<PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="7.0.1" />
		<PackageReference Include="Serilog.Extensions.Logging.File" Version="3.0.0" />
		<PackageReference Include="System.ServiceProcess.ServiceController" Version="7.0.1" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\..\Core\Insight.Domain\Insight.Domain.csproj" />
	</ItemGroup>

</Project>
